# Interface ModelEntityType

Type-level definition (e.g. `IfcWallType`, `IfcDoorType`) with its own property and quantity sets. Products reference their type via ModelProduct.type.

interface ModelEntityType {
className: string;
data: Record<string, boolean | number | string>;
globalId: string;
name?: string;
propertySets: Record<string, T8PropertySet<T8Unit>>;
quantitySets: Record<string, T8QuantitySet<T8Unit>>;
}

#### Implemented by

- BimTypeObject

##### Index

### Properties

className
data
globalId
name?
propertySets
quantitySets

## Properties

### `Readonly` className

className: string

Full IFC type class name (e.g. `'IfcWallType'`).

### `Readonly` data

data: Record<string, boolean | number | string>

Type-level scalar data values.

### `Readonly` globalId

globalId: string

### `Optional` `Readonly` name

name?: string

### `Readonly` propertySets

propertySets: Record<string, T8PropertySet<T8Unit>>

### `Readonly` quantitySets

quantitySets: Record<string, T8QuantitySet<T8Unit>>